Skip to main content
GET
/
v1
/
admin
/
sources
/
{source_id}
/
readiness
Get source readiness
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/sources/{source_id}/readiness \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "dataset_id": "app-logs",
  "readiness": {
    "dataset_id": "app-logs",
    "dataset_semantic_backlog_count": 0,
    "document_semantic_backlog_count": 0,
    "document_semantic_search_ready": true,
    "documents": {
      "expected": 1240000,
      "index_committed": 1240000,
      "parsed": 1240000,
      "schema_observed": 1240000,
      "semantic_embedded": 1240000,
      "semantic_total": 1240000
    },
    "ingest_run_count": 3,
    "lifecycle": {
      "reasons": [],
      "repairable": false,
      "state": "ready"
    },
    "ready_for": {
      "semantic_search": true,
      "sql_search": true,
      "text_search": true
    },
    "schema_ready": true,
    "semantic_configured": true,
    "semantic_search_ready": true,
    "status_counts": [
      {
        "count": 3,
        "status": "ready"
      }
    ],
    "text_search_ready": true,
    "vocabulary_semantic_backlog_count": 0,
    "vocabulary_semantic_ready": true
  },
  "source_id": 12
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

source_id
integer
required

Response

Successful Response

dataset_id
string
required
readiness
DatasetReadinessSummary · object
required
source_id
integer
required